# Create and prefill the connected account Create connected accounts for your marketplace. A connected account is a Stripe account that belongs to one of your users (such as a seller, service provider or vendor). Connected accounts enable your marketplace to accept payments and manage funds on behalf of your users while maintaining separate financial records for each seller. As a marketplace, you must create connected accounts for each seller or service provider in your marketplace to facilitate payments, handle payouts and ensure proper compliance and reporting. This separation allows each connected account to have their own transaction history, business information and payout schedule, while giving your marketplace the ability to charge application fees and manage the overall payment flow. End customers see your marketplace’s name on receipts after making a purchase, rather than the name of the seller or service provider. This guide shows you how to create a connected account and prefill the relevant fields. ## Before you begin Follow the interactive platform guide to set up your [Stripe marketplace account](https://docs.stripe.com/connect/interactive-platform-guide.md). ## Create a connected account Use the Accounts v2 API to [create](https://docs.stripe.com/api/v2/core/accounts/create.md) a connected account by specifying the [connected account Dashboard and responsibilities](https://docs.stripe.com/connect/accounts-v2/connected-account-configuration.md). As a marketplace, your platform: - Is usually the *merchant of record* (The legal entity responsible for facilitating the sale of products to a customer that handles any applicable regulations and liabilities, including sales taxes. In a Connect integration, it can be the platform or a connected account) - Uses *indirect charges* (A charge type where customers transact directly with your platform instead of with a connected account. Indirect charges include destination charges and separate charges and transfers) - Manages disputes and refunds - Earns revenue by taking a cut from each transaction through application fees These features impact the parameters you set when you create your connected accounts. ### Assign account configurations Connected accounts interact with your platform and Stripe based on which configurations you assign. Most marketplaces assign their connected accounts the [recipient](https://docs.stripe.com/api/v2/core/accounts/create.md#v2_create_accounts-configuration-recipient) configuration. Some marketplaces also assign the [merchant](https://docs.stripe.com/api/v2/core/accounts/create.md#v2_create_accounts-configuration-merchant) configuration. The `recipient` configuration includes the `stripe_balance.stripe_transfers` capability, which allows the Stripe balance for the `Account` to receive [Transfers](https://docs.stripe.com/api/transfers/object.md?api-version=preview) from the platform’s balance. You must assign the `stripe_balance.stripe_transfers` capability to use indirect charges. You also need to assign the `merchant` configuration to your connected accounts in the following cases: - You use [direct charges](https://docs.stripe.com/connect/direct-charges.md). It’s rare for marketplaces to use this charge type. - You use [indirect charges with the on_behalf_of parameter](https://docs.stripe.com/connect/charges.md#on_behalf_of) to set a connected account as the *merchant of record* (The legal entity responsible for facilitating the sale of products to a customer that handles any applicable regulations and liabilities, including sales taxes. In a Connect integration, it can be the platform or a connected account). ### Code sample ```curl curl -X POST https://api.stripe.com/v2/core/accounts \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ --json '{ "contact_email": "testaccount@example.com", "display_name": "Test account", "defaults": { "responsibilities": { "fees_collector": "application", "losses_collector": "application" } }, "dashboard": "express", "identity": { "country": "us" }, "configuration": { "recipient": { "capabilities": { "stripe_balance": { "stripe_transfers": { "requested": true } } } } }, "include": [ "configuration.recipient", "identity", "requirements" ] }' ``` | Parameter | Value | Description | | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | [defaults.responsibilities.fees_collector](https://docs.stripe.com/api/v2/core/accounts/create.md#v2_create_accounts-defaults-responsibilities-fees_collector) | `application` | Your marketplace pays all Stripe fees, including payment processing fees. | | [defaults.responsibilities.losses_collector](https://docs.stripe.com/api/v2/core/accounts/create.md#v2_create_accounts-defaults-responsibilities-losses_collector) | `application` | Your marketplace is *responsible for negative balances* (The responsibility for managing risk and recovering negative balances on connected accounts. Stripe or the Connect platform can be liable for negative balances on connected accounts) and manages credit and fraud risk on the connected account. This requires you to review and acknowledge your responsibilities in the Dashboard. | | [dashboard](https://docs.stripe.com/api/v2/core/accounts/create.md#v2_create_accounts-dashboard) | `express` | The connected account can access the Express Dashboard. | | [configuration.recipient.capabilities](https://docs.stripe.com/api/v2/core/accounts/create.md#v2_create_accounts-configuration-recipient-capabilities) | ‘stripe_balance.stripe_transfers’ | The connected account can receive funds from your marketplace. | The response includes the ID, which you use to reference the `Account` throughout your integration. After the request succeeds, the account exists in a pending state. Next, use the information you already have to prefill the onboarding form for the connected account. ## Prefill account information If you’ve already collected information for your connected accounts, you can pre-fill that information on the `Account` object. You can pre-fill any account information, including personal and business information, external account information, and so on. After creating the `Account`, create a [Person](https://docs.stripe.com/api/persons/create.md) to represent the person responsible for opening the account, with `relationship.representative` set to true and any account information you want to prefill (for example, their first and last name). ```curl curl https://api.stripe.com/v1/accounts/{{ACCOUNT_ID}}/persons \ -u "<>:" \ -d first_name=Jenny \ -d last_name=Rosen \ -d "relationship[representative]=true" ``` Connect Onboarding doesn’t ask for the prefilled information. However, it does ask the account holder to confirm the prefilled information before accepting the [Connect service agreement](https://docs.stripe.com/connect/service-agreement-types.md). When testing your integration, prefill account information using [test data](https://docs.stripe.com/connect/testing.md). ## Next steps After you prefill the business information, set up [Dashboard access](https://docs.stripe.com/connect/marketplace/tasks/dashboard.md) for the connected account.